# matho-sumsq

## NAME

| matho-sumsq − Find the minimum sum of the squares for integers

## SYNOPSIS

| matho-sumsq [numbers]

## DESCRIPTION

| This command line utility is optionally part of the mathomatic(1) package. It finds the minimum number of positive integers that when squared and added together, equal the given number. There is a proof that no more than 4 squares summed together are required to represent any positive integer. The command line may contain positive integers, less than 2147483648 (2^31), to find the squares of, otherwise the program counts up from 0. If the number of squares is 2, this program displays all possible combinations, otherwise it just displays the first combination it finds.

## SEE ALSO

| mathomatic(1), matho-pascal(1), matho-primes(1)

## AUTHOR

| George Gesslein II (georgegesslein@gmail.com)